<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<testsuite failures="0" name="cucumber.runtime.formatter.JUnitFormatter" skipped="0" tests="12" time="148.600663">

<testcase classname="API - OCM - connection - v1 - invitation-url POST" name="OCM - Creating a new process connection with alias member- Positive" time="3.717259">
            
    <system-out><![CDATA[Given we are testing the OCM Api............................................passed
Given an administrator generates a QR code by creating a connection with alias {member} via OCM api.passed
Then the field {statusCode} contains the value {200}........................passed
And the status code should be {201}.........................................passed
And the response is valid according to the {Connection_POST_invitationURL.json} REST schema.passed
Then the field {message} contains the value {Connection created successfully}.passed
And the field {$..state} contains the value {invited}.......................passed
And the field {$..role} contains the value {inviter}........................passed
And the field {$..alias} contains the value {member}........................passed
]]></system-out>
        
</testcase>

<testcase classname="API - OCM - connection - v1 - invitation-url POST" name="OCM - Trying to create a new member process connection with invalid alias dsadasd - Negative" time="13.737811">
            
    <system-out><![CDATA[Given we are testing the OCM Api............................................passed
Given an administrator generates a QR code by creating a connection with alias {dsadasd} via OCM api.passed
Then the field {statusCode} contains the value {400}........................passed
And the status code should be {400}.........................................passed
Then the field {message} contains the value {Alias must be provided}........passed
And I clear the request body................................................passed
]]></system-out>
        
</testcase>

<testcase classname="API - OCM - connection - v1 - invitation-url POST" name="OCM - Creating a new process connection with alias subscriber- Positive" time="3.827884">
            
    <system-out><![CDATA[Given we are testing the OCM Api............................................passed
Given an administrator generates a QR code by creating a connection with alias {subscriber} via OCM api.passed
Then the field {statusCode} contains the value {200}........................passed
And the status code should be {201}.........................................passed
And the response is valid according to the {Connection_POST_invitationURL.json} REST schema.passed
Then the field {message} contains the value {Connection created successfully}.passed
And the field {$..state} contains the value {invited}.......................passed
And the field {$..role} contains the value {inviter}........................passed
And the field {$..alias} contains the value {subscriber}....................passed
]]></system-out>
        
</testcase>

<testcase classname="API - OCM - connection - v1 - invitation-url POST" name="OCM - Trying to create a new member process connection with invalid alias  - Negative" time="13.933239">
            
    <system-out><![CDATA[Given we are testing the OCM Api............................................passed
Given an administrator generates a QR code by creating a connection with alias {} via OCM api.passed
Then the field {statusCode} contains the value {400}........................passed
And the status code should be {400}.........................................passed
Then the field {message} contains the value {Alias must be provided}........passed
And I clear the request body................................................passed
]]></system-out>
        
</testcase>

<testcase classname="API - OCM - connection - v1 - invitation-url POST" name="OCM - Trying to create a new member process connection without alies - Negative" time="14.160183">
            
    <system-out><![CDATA[Given we are testing the OCM Api............................................passed
Given an administrator generates a QR code by creating a connection via OCM api.passed
Then the field {statusCode} contains the value {400}........................passed
And the status code should be {400}.........................................passed
Then the field {message} contains the value {Alias must be provided}........passed
And I clear the request body................................................passed
]]></system-out>
        
</testcase>

<testcase classname="API - OCM - attestation - v1 - health GET" name="OCM - Attestation - Health check - Positive" time="13.295402">
            
    <system-out><![CDATA[Given we are testing the OCM Api............................................passed
Given we call the health check for attestation manager via OCM api..........passed
Then the field {statusCode} contains the value {200}........................passed
And the status code should be {200}.........................................passed
And the field {message} is present and not empty............................passed
And I clear the request body................................................passed
]]></system-out>
        
</testcase>

<testcase classname="API - OCM - proof - v1 - health GET" name="OCM - Proof - Health check - Positive" time="13.77314">
            
    <system-out><![CDATA[Given we are testing the OCM Api............................................passed
Given we call the health check for proof manager via OCM api................passed
Then the field {statusCode} contains the value {200}........................passed
And the status code should be {200}.........................................passed
And the field {message} is present and not empty............................passed
And I clear the request body................................................passed
]]></system-out>
        
</testcase>

<testcase classname="API - OCM - connection - v1 - health GET" name="OCM - Connection - Health check - Positive" time="13.097658">
            
    <system-out><![CDATA[Given we are testing the OCM Api............................................passed
Given we call the health check for connection manager via OCM api...........passed
Then the field {statusCode} contains the value {200}........................passed
And the status code should be {200}.........................................passed
And the field {message} is present and not empty............................passed
And I clear the request body................................................passed
]]></system-out>
        
</testcase>

<testcase classname="API - OCM - connection - v1 - connections - connectionId GET" name="OCM - Try to get connection by providing invalid connectionID - dasdasdas - Negative" time="13.97381">
            
    <system-out><![CDATA[Given we are testing the OCM Api............................................passed
Given an administrator fetches connection with connectionId {dasdasdas}.....passed
Then the field {statusCode} contains the value {404}........................passed
Then the field {message} contains the value {No Data found}.................passed
]]></system-out>
        
</testcase>

<testcase classname="API - OCM - connection - v1 - connections GET" name="OCM - GET all connections with pagination out of bounds - negative" time="15.186279">
            
    <system-out><![CDATA[Given we are testing the OCM Api............................................passed
Given an administrator fetches all the connections with pageSize {9999} and page {9999} via OCM api.passed
Then the field {statusCode} contains the value {200}........................passed
And the response is valid according to the {Connection_GetConnections_schema.json} REST schema.passed
Then the field {message} contains the value {Connections fetch successfully}.passed
And the field {$.data.records} contains {0} elements........................passed
]]></system-out>
        
</testcase>

<testcase classname="API - OCM - connection - v1 - connections GET" name="OCM - GET all connections with pagination - Positive" time="15.048753">
            
    <system-out><![CDATA[Given we are testing the OCM Api............................................passed
Given an administrator fetches all the connections with pageSize {5} and page {1} via OCM api.passed
Then the field {statusCode} contains the value {200}........................passed
And the response is valid according to the {Connection_GetConnections_schema.json} REST schema.passed
Then the field {message} contains the value {Connections fetch successfully}.passed
And the field {$.data.records} contains {5} elements........................passed
]]></system-out>
        
</testcase>

<testcase classname="API - OCM - connection - v1 - connections GET" name="OCM - GET all connections - Positive" time="14.849245">
            
    <system-out><![CDATA[Given we are testing the OCM Api............................................passed
Given an administrator fetches all the connections via OCM api..............passed
Then the field {statusCode} contains the value {200}........................passed
And the response is valid according to the {Connection_GetConnections_schema.json} REST schema.passed
Then the field {message} contains the value {Connections fetch successfully}.passed
]]></system-out>
        
</testcase>

</testsuite>